Page MenuHomePhabricator

[LLVM-C] Improve Intrinsics Bindings
ClosedPublic

Authored by CodaFi on Oct 23 2018, 5:34 PM.

Details

Summary

Improve the intrinsic bindings with operations for

  • Retrieving and automatically inserting the declaration of an intrinsic by ID
  • Retrieving the name of a non-overloaded intrinsic by ID
  • Retrieving the name of an overloaded intrinsic by ID and overloaded parameter types

Improve the echo test to copy non-overloaded intrinsics by ID.

Diff Detail

Repository
rL LLVM

Event Timeline

CodaFi created this revision.Oct 23 2018, 5:34 PM
whitequark requested changes to this revision.Oct 28 2018, 11:50 PM

LGTM other than the argument types.

include/llvm-c/Core.h
2393 ↗(On Diff #170794)

size_t ParamCount, following other declarations.

2402 ↗(On Diff #170794)

size_t ParamCount, following other declarations.

2422 ↗(On Diff #170794)

size_t ParamCount, following other declarations.

This revision now requires changes to proceed.Oct 28 2018, 11:50 PM
CodaFi updated this revision to Diff 171509.Oct 29 2018, 8:38 AM
whitequark accepted this revision.Oct 29 2018, 9:24 AM
This revision is now accepted and ready to land.Oct 29 2018, 9:24 AM
This revision was automatically updated to reflect the committed changes.